Skip to main content
GET
/
api
/
board
/
{boardId}
List cards
curl --request GET \
  --url https://core-api.getaptly.com/api/board/{boardId} \
  --header 'x-token: <api-key>'
{
  "data": [
    {
      "cardId": "<string>",
      "boardUuid": "<string>",
      "archived": true,
      "assignee": "<string>"
    }
  ],
  "count": 123,
  "page": 123,
  "pageSize": 123
}

Authorizations

x-token
string
header
required

Path Parameters

boardId
string
required

The board's UUID.

Query Parameters

page
integer
required

Zero-based page number.

Required range: 0 <= x <= 9999
pageSize
integer
default:20

Number of cards per page.

Required range: 1 <= x <= 1000
updatedAtMin
string<date-time>

Only return cards updated after this ISO timestamp.

includeArchived
boolean
default:false

Include archived cards.

Only return cards where references.value contains this ID.

contactEmail
string

Resolves the email to contact IDs, then filters cards referencing those contacts.

keyTerm
string

Full-text autocomplete search on card title using the Atlas Search index.

Response

Paginated list of cards.

data
object[]
count
integer

Total number of matching cards.

page
integer
pageSize
integer